# $Revision: 1.22 $, $Date: 2011/11/08 13:44:13 $
%define		modname	suhosin
Summary:	Advanced protection system for PHP installations
Summary(pl.UTF-8):	Zaawansowany system zabezpieczeń dla instalacji PHP
Name:		php-%{modname}
Version:	0.9.32.1
Release:	5
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://download.suhosin.org/%{modname}-%{version}.tar.gz
# Source0-md5:	26a86f0f684a656c3e789e3eb4ec1db3
URL:		http://www.hardened-php.net/suhosin/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Suhosin is an advanced protection system for PHP installations. It was
designed to protect servers and users from known and unknown flaws in
PHP applications and the PHP core.

Unlike Hardening-Patch Suhosin is binary compatible to normal PHP
installation, which means it is compatible to 3rd party binary
extension like ZendOptimizer.

%description -l pl.UTF-8
Suhosin to zaawansowany system zabezpieczeń dla instalacji PHP. Został
zaprojektowany do ochrony serwerów i użytkowników przed znanymi i
nieznanymi lukami w aplikacjach PHP i samym PHP.

W przeciwieństwie do łaty Hardening-Patch Suhosin jest binarnie
kompatybilny ze zwykłą instalacją PHP, co oznacza, że jest
kompatybilny z binarnymi rozszerzeniami innych producentów, takimi jak
ZendOptimizer.

%prep
%setup -q -n suhosin-%{version}

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cp -a %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS Changelog
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-suhosin.spec,v $
Revision 1.22  2011/11/08 13:44:13  arekm
- release 5

Revision 1.21  2011/05/23 09:25:19  lisu
- rel 4

Revision 1.20  2011/04/13 17:25:54  arekm
- release 3

Revision 1.19  2010/12/11 21:35:17  arekm
- release 2

Revision 1.18  2010/08/09 07:04:48  dzeus
- up to 0.9.32.1 (added support for memory_limit > 2GB)

Revision 1.17  2010/06/03 07:37:48  glen
- release 3

Revision 1.16  2010/04/01 13:28:27  arekm
- release 2

Revision 1.15  2010/03/31 19:08:47  arekm
- up to 0.9.31

Revision 1.14  2010/03/19 23:03:58  gotar
- upgraded to 0.9.29

Revision 1.13  2008/12/07 11:37:04  adamg
- updated to 0.9.27

Revision 1.12  2008/08/06 23:12:31  glen
- underscores out

Revision 1.11  2008/08/06 19:21:31  adamg
- updated to 0.9.25

Revision 1.10  2008-05-15 18:18:37  arekm
- revert

Revision 1.8  2007-06-03 12:29:49  gotar
- use shipped config file

Revision 1.7  2007/06/03 12:25:15  gotar
- upgraded to 0.9.20

Revision 1.6  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.4  2006/12/22 01:29:27  qboosh
- spec renamed (server-side)

Revision 1.3  2006/12/20 00:15:09  qboosh
- pl; there is a typo in spec filename...

Revision 1.2  2006/12/15 12:44:27  glen
- license from suoshin.c

Revision 1.1  2006/12/15 12:38:34  glen
- new
